diff -crN nakedmudv2.0/src/interpret.c nakedmudv2.1/src/interpret.c
*** nakedmudv2.0/src/interpret.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/interpret.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 129,134 ****
--- 129,136 ----
  	  LEVEL_BUILDER, FALSE, FALSE);
    add_cmd("dlist",      NULL, cmd_dlist,    0, POS_UNCONCIOUS, POS_FLYING,
  	  LEVEL_BUILDER, FALSE, FALSE);
+   add_cmd("ddelete",    NULL, cmd_ddelete,  0, POS_UNCONCIOUS, POS_FLYING,
+ 	  LEVEL_BUILDER, FALSE, FALSE);
    add_cmd("drop",       NULL, cmd_drop,     0, POS_SITTING,  POS_FLYING,
  	  LEVEL_PLAYER, TRUE, TRUE );
  
***************
*** 181,192 ****
--- 183,198 ----
    // M
    add_cmd("mlist",      NULL, cmd_mlist,    0, POS_UNCONCIOUS, POS_FLYING,
  	  LEVEL_BUILDER, FALSE, FALSE);
+   add_cmd("mdelete",    NULL, cmd_mdelete,  0, POS_UNCONCIOUS, POS_FLYING,
+ 	  LEVEL_BUILDER, FALSE, FALSE);
    add_cmd("more",       NULL, cmd_more,     0, POS_UNCONCIOUS, POS_FLYING,
  	  LEVEL_PLAYER, TRUE, FALSE);
  
    // O
    add_cmd("olist",      NULL, cmd_olist,    0, POS_UNCONCIOUS, POS_FLYING,
  	  LEVEL_BUILDER, FALSE, FALSE);
+   add_cmd("odelete",    NULL, cmd_odelete,  0, POS_UNCONCIOUS, POS_FLYING,
+ 	  LEVEL_BUILDER, FALSE, FALSE);
    add_cmd("open",       NULL, cmd_open,     0, POS_STANDING, POS_FLYING,
  	  LEVEL_PLAYER, TRUE, TRUE );
  
***************
*** 207,212 ****
--- 213,220 ----
  	  LEVEL_PLAYER, TRUE, TRUE );
    add_cmd("rlist",      NULL, cmd_rlist,    0, POS_UNCONCIOUS, POS_FLYING,
  	  LEVEL_BUILDER, FALSE, FALSE);
+   add_cmd("rdelete",    NULL, cmd_rdelete,  0, POS_UNCONCIOUS, POS_FLYING,
+ 	  LEVEL_BUILDER, FALSE, FALSE);
    add_cmd("repeat",     NULL, cmd_repeat,   0, POS_UNCONCIOUS, POS_FLYING,
  	  LEVEL_ADMIN, FALSE, FALSE);
  
***************
*** 232,237 ****
--- 240,247 ----
    // which wouldn't be accessable from outside of builder.c
    add_cmd("sclist",     NULL, cmd_sclist,   0, POS_UNCONCIOUS, POS_FLYING,
  	  LEVEL_BUILDER, FALSE, FALSE);
+   add_cmd("sdelete",    NULL, cmd_scdelete, 0, POS_UNCONCIOUS, POS_FLYING,
+ 	  LEVEL_BUILDER, FALSE, FALSE);
  
    // T
    add_cmd("take",       NULL, cmd_get,      0, POS_SITTING,  POS_FLYING,
diff -crN nakedmudv2.0/src/items/container.c nakedmudv2.1/src/items/container.c
*** nakedmudv2.0/src/items/container.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/items/container.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 167,174 ****
  		 data->pick_diff);
  }
  
! int  iedit_container_chooser(SOCKET_DATA *sock, CONTAINER_DATA *data, char option) {
!   switch(toupper(option)) {
    case '1':
      text_to_buffer(sock, "Enter a new weight capacity for the container: ");
      return IEDIT_CONTAINER_CAPACITY;
--- 167,175 ----
  		 data->pick_diff);
  }
  
! int  iedit_container_chooser(SOCKET_DATA *sock, CONTAINER_DATA *data, 
! 			     const char *option) {
!   switch(toupper(*option)) {
    case '1':
      text_to_buffer(sock, "Enter a new weight capacity for the container: ");
      return IEDIT_CONTAINER_CAPACITY;
diff -crN nakedmudv2.0/src/items/furniture.c nakedmudv2.1/src/items/furniture.c
*** nakedmudv2.0/src/items/furniture.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/items/furniture.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 122,134 ****
  		 furnitureTypeGetName(data->type));
  }
  
! int  iedit_furniture_chooser(SOCKET_DATA *sock, FURNITURE_DATA *data, char option) {
!   switch(toupper(option)) {
    case '1':
      text_to_buffer(sock, "Enter a new weight capacity for the furniture: ");
      return IEDIT_FURNITURE_CAPACITY;
    case '2':
      olc_display_table(sock, furnitureTypeGetName, NUM_FURNITURES, 1);
      return IEDIT_FURNITURE_TYPE;
    default: return MENU_CHOICE_INVALID;
    }
--- 122,136 ----
  		 furnitureTypeGetName(data->type));
  }
  
! int  iedit_furniture_chooser(SOCKET_DATA *sock, FURNITURE_DATA *data, 
! 			     const char *option) {
!   switch(toupper(*option)) {
    case '1':
      text_to_buffer(sock, "Enter a new weight capacity for the furniture: ");
      return IEDIT_FURNITURE_CAPACITY;
    case '2':
      olc_display_table(sock, furnitureTypeGetName, NUM_FURNITURES, 1);
+     text_to_buffer(sock, "Pick a furniture type: ");
      return IEDIT_FURNITURE_TYPE;
    default: return MENU_CHOICE_INVALID;
    }
diff -crN nakedmudv2.0/src/items/iedit.c nakedmudv2.1/src/items/iedit.c
*** nakedmudv2.0/src/items/iedit.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/items/iedit.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 28,45 ****
  //*****************************************************************************
  // local functions, variables, and datastructures
  //*****************************************************************************
- 
- //
- // how many buckets will be in our item_olc_table? This should be about 120%
- // bigger than the number of item types we have, although it's not a huge deal.
- #define IEDIT_TABLE_SIZE       50
- 
  // used to store the different sub-olc functions for different item types
  HASHTABLE *item_olc_table = NULL;
  
  typedef struct item_olc_data {
    void    (* menu)(SOCKET_DATA *sock, void *data);
!   int  (* chooser)(SOCKET_DATA *sock, void *data, char option);
    bool  (* parser)(SOCKET_DATA *sock, void *data, int choice, const char *arg);
  } ITEM_OLC_DATA;
  
--- 28,39 ----
  //*****************************************************************************
  // local functions, variables, and datastructures
  //*****************************************************************************
  // used to store the different sub-olc functions for different item types
  HASHTABLE *item_olc_table = NULL;
  
  typedef struct item_olc_data {
    void    (* menu)(SOCKET_DATA *sock, void *data);
!   int  (* chooser)(SOCKET_DATA *sock, void *data, const char *option);
    bool  (* parser)(SOCKET_DATA *sock, void *data, int choice, const char *arg);
  } ITEM_OLC_DATA;
  
***************
*** 103,110 ****
  		 "    D) delete type\r\n");
  }
  
! int  iedit_chooser(SOCKET_DATA *sock, OBJ_DATA *obj, char option) {
!   switch(toupper(option)) {
    case 'E':
      text_to_buffer(sock, "Which item type would you like to edit: ");
      return IEDIT_EDIT;
--- 97,104 ----
  		 "    D) delete type\r\n");
  }
  
! int  iedit_chooser(SOCKET_DATA *sock, OBJ_DATA *obj, const char *option) {
!   switch(toupper(*option)) {
    case 'E':
      text_to_buffer(sock, "Which item type would you like to edit: ");
      return IEDIT_EDIT;
***************
*** 142,146 ****
  // initialization of item olc
  //*****************************************************************************
  void init_item_olc() {
!   item_olc_table = newHashtable(IEDIT_TABLE_SIZE);
  }
--- 136,140 ----
  // initialization of item olc
  //*****************************************************************************
  void init_item_olc() {
!   item_olc_table = newHashtable();
  }
diff -crN nakedmudv2.0/src/items/iedit.h nakedmudv2.1/src/items/iedit.h
*** nakedmudv2.0/src/items/iedit.h	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/items/iedit.h	2010-11-01 15:54:18.000000000 -0500
***************
*** 22,28 ****
  //
  // these functions will be needed by oedit
  void iedit_menu(SOCKET_DATA *sock, OBJ_DATA *obj);
! int  iedit_chooser(SOCKET_DATA *sock, OBJ_DATA *obj, char option);
  bool iedit_parser(SOCKET_DATA *sock, OBJ_DATA *obj,int choice, const char *arg);
  
  #endif // IEDIT_H
--- 22,28 ----
  //
  // these functions will be needed by oedit
  void iedit_menu(SOCKET_DATA *sock, OBJ_DATA *obj);
! int  iedit_chooser(SOCKET_DATA *sock, OBJ_DATA *obj, const char *option);
  bool iedit_parser(SOCKET_DATA *sock, OBJ_DATA *obj,int choice, const char *arg);
  
  #endif // IEDIT_H
diff -crN nakedmudv2.0/src/items/items.c nakedmudv2.1/src/items/items.c
*** nakedmudv2.0/src/items/items.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/items/items.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 26,41 ****
  //*****************************************************************************
  // local functions, datastructures, and defines
  //*****************************************************************************
- // this is the size of the table where we store all of the functions for 
- // creating/deleting/copying/etc... data of item types. Ideally, this will be
- // about 120% bigger than the total number of item types we have installed.
- #define TYPE_TABLE_SIZE       50
- 
- // objects can have more than one item type; this is the size of the table
- // that holds all of the item types for a single object. I'm doubtful an item
- // will ever have more than 2-3 types, so 5 is a very generous size
- #define ITEM_TABLE_SIZE        5
- 
  // a table of all our item types, and their assocciated new/delete/etc.. funcs
  HASHTABLE *type_table = NULL;
  
--- 26,31 ----
***************
*** 114,120 ****
  // Creates a new item table and copies the contents of the old one 
  // over to the new one 
  HASHTABLE *copyItemTable(HASHTABLE *table) {
!   HASHTABLE *newtable = newHashtable(ITEM_TABLE_SIZE);
    copyItemTableTo(table, newtable);
    return newtable;
  }
--- 104,110 ----
  // Creates a new item table and copies the contents of the old one 
  // over to the new one 
  HASHTABLE *copyItemTable(HASHTABLE *table) {
!   HASHTABLE *newtable = newHashtable();
    copyItemTableTo(table, newtable);
    return newtable;
  }
***************
*** 130,136 ****
  
  ITEM_DATA *newItemData() {
    ITEM_DATA *data  = malloc(sizeof(ITEM_DATA));
!   data->item_table = newHashtable(ITEM_TABLE_SIZE);
    return data;
  }
  
--- 120,126 ----
  
  ITEM_DATA *newItemData() {
    ITEM_DATA *data  = malloc(sizeof(ITEM_DATA));
!   data->item_table = newHashtable();
    return data;
  }
  
***************
*** 200,206 ****
  // implementation of items.h
  //*****************************************************************************
  void init_items(void) {
!   type_table = newHashtable(TYPE_TABLE_SIZE);
    auxiliariesInstall("type_data",
  		     newAuxiliaryFuncs(AUXILIARY_TYPE_OBJ, newItemData, 
  				       deleteItemData, itemDataCopyTo,
--- 190,196 ----
  // implementation of items.h
  //*****************************************************************************
  void init_items(void) {
!   type_table = newHashtable();
    auxiliariesInstall("type_data",
  		     newAuxiliaryFuncs(AUXILIARY_TYPE_OBJ, newItemData, 
  				       deleteItemData, itemDataCopyTo,
diff -crN nakedmudv2.0/src/items/portal.c nakedmudv2.1/src/items/portal.c
*** nakedmudv2.0/src/items/portal.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/items/portal.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 141,148 ****
  		 (dest ? roomGetName(dest) : "nowhere"));
  }
  
! int  iedit_portal_chooser(SOCKET_DATA *sock, PORTAL_DATA *data, char option) {
!   switch(toupper(option)) {
    case '1': 
      text_to_buffer(sock, "Enter new destination (-1 for none): ");
      return IEDIT_PORTAL_DEST;
--- 141,149 ----
  		 (dest ? roomGetName(dest) : "nowhere"));
  }
  
! int  iedit_portal_chooser(SOCKET_DATA *sock, PORTAL_DATA *data, 
! 			  const char *option) {
!   switch(toupper(*option)) {
    case '1': 
      text_to_buffer(sock, "Enter new destination (-1 for none): ");
      return IEDIT_PORTAL_DEST;
diff -crN nakedmudv2.0/src/items/worn.c nakedmudv2.1/src/items/worn.c
*** nakedmudv2.0/src/items/worn.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/items/worn.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 39,50 ****
  //*****************************************************************************
  // local functions, variables, datastructures, and defines
  //*****************************************************************************
- 
- // how big of a table will we need to hold all of the worn data we might have?
- // optimally, this should be about 120% bigger than the number of worn types
- // that we have.
- #define WORN_TABLE_SIZE     50
- 
  HASHTABLE *worn_table = NULL;
  
  typedef struct worn_entry {
--- 39,44 ----
***************
*** 179,186 ****
  		 data->type, wornTypeGetPositions(data->type));
  }
  
! int  iedit_worn_chooser(SOCKET_DATA *sock, WORN_DATA *data, char option) {
!   switch(toupper(option)) {
    case '1':
      iedit_worn_show_types(sock);
      text_to_buffer(sock, "enter choice: ");
--- 173,180 ----
  		 data->type, wornTypeGetPositions(data->type));
  }
  
! int  iedit_worn_chooser(SOCKET_DATA *sock, WORN_DATA *data, const char *option){
!   switch(toupper(*option)) {
    case '1':
      iedit_worn_show_types(sock);
      text_to_buffer(sock, "enter choice: ");
***************
*** 222,228 ****
  //
  // this will need to be called by init_items() in items/items.c
  void init_worn(void) {
!   worn_table = newHashtable(WORN_TABLE_SIZE);
    item_add_type("worn", 
  		newWornData, deleteWornData,
  		wornDataCopyTo, wornDataCopy, 
--- 216,222 ----
  //
  // this will need to be called by init_items() in items/items.c
  void init_worn(void) {
!   worn_table = newHashtable();
    item_add_type("worn", 
  		newWornData, deleteWornData,
  		wornDataCopyTo, wornDataCopy, 
diff -crN nakedmudv2.0/src/log.c nakedmudv2.1/src/log.c
*** nakedmudv2.0/src/log.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/log.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 86,92 ****
  
  
  void init_logs() {
!   logkeys = newHashtable(50);
  
    STORAGE_SET       *set = storage_read(LOG_LIST);
    if(set != NULL) {
--- 86,92 ----
  
  
  void init_logs() {
!   logkeys = newHashtable();
  
    STORAGE_SET       *set = storage_read(LOG_LIST);
    if(set != NULL) {
diff -crN nakedmudv2.0/src/olc2/bedit.c nakedmudv2.1/src/olc2/bedit.c
*** nakedmudv2.0/src/olc2/bedit.c	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.1/src/olc2/bedit.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,49 ----
+ //*****************************************************************************
+ //
+ // bedit.c
+ //
+ // bedit is the OLC for bitvector editing. Allows people to turn on/off bits for
+ // a bitvector.
+ //
+ //*****************************************************************************
+ 
+ #include "../mud.h"
+ #include "../socket.h"
+ #include "../bitvector.h"
+ 
+ #include "olc.h"
+ 
+ 
+ 
+ //*****************************************************************************
+ // bitvector editing functions
+ //*****************************************************************************
+ void bedit_menu   (SOCKET_DATA *sock, BITVECTOR *vector) {
+   LIST *bits = bitvectorListBits(vector);
+   send_to_socket(sock, "{wCurrent bits: {c%s\r\n", bitvectorGetBits(vector));
+   olc_display_list(sock, bits, 3);
+   deleteListWith(bits, free);
+ }
+ 
+ int  bedit_chooser(SOCKET_DATA *sock, BITVECTOR *vector, const char *option) {
+   if(!isdigit(*option)) 
+     return MENU_CHOICE_INVALID;
+   else {
+     int choice = atoi(option);
+     if(choice < 0 || choice >= bitvectorSize(vector))
+       return MENU_CHOICE_INVALID;
+     else {
+       LIST *bits = bitvectorListBits(vector);
+       char  *bit = listGet(bits, choice);
+       bitToggle(vector, bit);
+       deleteListWith(bits, free);
+       return MENU_NOCHOICE;
+     }
+   }
+ }
+ 
+ bool bedit_parser (SOCKET_DATA *sock, BITVECTOR *vector, int choice, 
+ 		   const char *arg) {
+   // no parser... everything is done in the chooser
+   return FALSE;
+ }
diff -crN nakedmudv2.0/src/olc2/bedit.d nakedmudv2.1/src/olc2/bedit.d
*** nakedmudv2.0/src/olc2/bedit.d	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.1/src/olc2/bedit.d	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,2 ----
+ olc2/bedit.d olc2/bedit.o: olc2/bedit.c mud.h wrapsock.h property_table.h list.h map.h \
+   hashtable.h set.h buffer.h bitvector.h socket.h olc2/olc.h
diff -crN nakedmudv2.0/src/olc2/dedit.c nakedmudv2.1/src/olc2/dedit.c
*** nakedmudv2.0/src/olc2/dedit.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/olc2/dedit.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 36,43 ****
  		 );
  }
  
! int respedit_chooser(SOCKET_DATA *sock, RESPONSE_DATA *response, char option) {
!   switch(toupper(option)) {
    case '1':
      text_to_buffer(sock, "Enter a new list of keywords: ");
      return RESPEDIT_KEYWORDS;
--- 36,44 ----
  		 );
  }
  
! int respedit_chooser(SOCKET_DATA *sock, RESPONSE_DATA *response, 
! 		     const char *option) {
!   switch(toupper(*option)) {
    case '1':
      text_to_buffer(sock, "Enter a new list of keywords: ");
      return RESPEDIT_KEYWORDS;
***************
*** 106,113 ****
  }
  
  
! int dedit_chooser(SOCKET_DATA *sock, DIALOG_DATA *dialog, char option) {
!   switch(toupper(option)) {
    case 'T':
      text_to_buffer(sock, "Enter a new title for the dialog: ");
      return DEDIT_TITLE;
--- 107,114 ----
  }
  
  
! int dedit_chooser(SOCKET_DATA *sock, DIALOG_DATA *dialog, const char *option) {
!   switch(toupper(*option)) {
    case 'T':
      text_to_buffer(sock, "Enter a new title for the dialog: ");
      return DEDIT_TITLE;
diff -crN nakedmudv2.0/src/olc2/esedit.c nakedmudv2.1/src/olc2/esedit.c
*** nakedmudv2.0/src/olc2/esedit.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/olc2/esedit.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 32,39 ****
  		 );
  }
  
! int  edesc_chooser(SOCKET_DATA *sock, EDESC_DATA *edesc, char option) {
!   switch(toupper(option)) {
    case '1':
      text_to_buffer(sock, "Enter a new list of keywords: ");
      return EDEDIT_KEYWORD;
--- 32,39 ----
  		 );
  }
  
! int  edesc_chooser(SOCKET_DATA *sock, EDESC_DATA *edesc, const char *option) {
!   switch(toupper(*option)) {
    case '1':
      text_to_buffer(sock, "Enter a new list of keywords: ");
      return EDEDIT_KEYWORD;
***************
*** 81,88 ****
  		 );
  }
  
! int  edesc_set_chooser(SOCKET_DATA *sock, EDESC_SET *set, char option) {
!   switch(toupper(option)) {
    case 'E':
      text_to_buffer(sock, "Enter the number of the edesc to edit: ");
      return ESEDIT_EDIT;
--- 81,88 ----
  		 );
  }
  
! int  edesc_set_chooser(SOCKET_DATA *sock, EDESC_SET *set, const char *option) {
!   switch(toupper(*option)) {
    case 'E':
      text_to_buffer(sock, "Enter the number of the edesc to edit: ");
      return ESEDIT_EDIT;
diff -crN nakedmudv2.0/src/olc2/medit.c nakedmudv2.1/src/olc2/medit.c
*** nakedmudv2.0/src/olc2/medit.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/olc2/medit.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 9,14 ****
--- 9,15 ----
  #include "../utils.h"
  #include "../socket.h"
  #include "../character.h"
+ #include "../handler.h"
  #include "../races.h"
  #include "../world.h"
  #include "../dialog.h"
***************
*** 73,80 ****
  		 );
  }
  
! int  medit_chooser(SOCKET_DATA *sock, CHAR_DATA *mob, char option) {
!   switch(toupper(option)) {
    case '1':
      text_to_buffer(sock, "Enter name: ");
      return MEDIT_NAME;
--- 74,81 ----
  		 );
  }
  
! int  medit_chooser(SOCKET_DATA *sock, CHAR_DATA *mob, const char *option) {
!   switch(toupper(*option)) {
    case '1':
      text_to_buffer(sock, "Enter name: ");
      return MEDIT_NAME;
***************
*** 96,105 ****
      return MENU_NOCHOICE;
    case 'R':
      send_to_socket(sock, "%s\r\n\r\n", raceGetList(FALSE));
!     send_to_socket(sock, "Please select a race: ");
      return MEDIT_RACE;
    case 'G':
      olc_display_table(sock, sexGetName, NUM_SEXES, 1);
      return MEDIT_SEX;
    case 'D':
      text_to_buffer(sock, "Enter the dialog vnum (-1 for none): ");
--- 97,107 ----
      return MENU_NOCHOICE;
    case 'R':
      send_to_socket(sock, "%s\r\n\r\n", raceGetList(FALSE));
!     text_to_buffer(sock, "Please select a race: ");
      return MEDIT_RACE;
    case 'G':
      olc_display_table(sock, sexGetName, NUM_SEXES, 1);
+     text_to_buffer(sock, "Pick a gender: ");
      return MEDIT_SEX;
    case 'D':
      text_to_buffer(sock, "Enter the dialog vnum (-1 for none): ");
***************
*** 157,170 ****
  }
  
  COMMAND(cmd_medit) {
-   ZONE_DATA *zone;
    CHAR_DATA *mob;
-   mob_vnum vnum;
  
!   if(!arg || !*arg || !isdigit(*arg))
      send_to_char(ch, "Invalid vnum! Try again.\r\n");
    else {
!     vnum = atoi(arg);
  
      // make sure there is a corresponding zone ...
      if((zone = worldZoneBounding(gameworld, vnum)) == NULL)
--- 159,185 ----
  }
  
  COMMAND(cmd_medit) {
    CHAR_DATA *mob;
  
!   if(!arg || !*arg)
      send_to_char(ch, "Invalid vnum! Try again.\r\n");
+ 
+   // we're trying to edit a mob by name... must be something in the world
+   else if(!isdigit(*arg)) {
+     mob = generic_find(ch, arg, FIND_TYPE_CHAR, FIND_SCOPE_ROOM,
+ 		       FALSE, NULL);
+     if(mob == NULL)
+       send_to_char(ch, "Who were you trying to edit?\r\n");
+     else {
+       do_olc(charGetSocket(ch), medit_menu, medit_chooser, medit_parser,
+ 	     NULL, NULL, NULL, NULL, mob);
+     }
+   }
+ 
+   // we're editing a mobile by vnum... edit the prototype
    else {
!     ZONE_DATA *zone = NULL;
!     mob_vnum vnum   = atoi(arg);
  
      // make sure there is a corresponding zone ...
      if((zone = worldZoneBounding(gameworld, vnum)) == NULL)
***************
*** 177,183 ****
  
        // make our mobile
        if(mob == NULL) {
! 	mob = newMobile(vnum);
  	zoneAddMob(zone, mob);
  	charSetName(mob, "an unfinished mobile");
  	charSetKeywords(mob, "mobile, unfinshed");
--- 192,199 ----
  
        // make our mobile
        if(mob == NULL) {
! 	mob = newMobile();
! 	charSetVnum(mob, vnum);
  	zoneAddMob(zone, mob);
  	charSetName(mob, "an unfinished mobile");
  	charSetKeywords(mob, "mobile, unfinshed");
diff -crN nakedmudv2.0/src/olc2/medit.d nakedmudv2.1/src/olc2/medit.d
*** nakedmudv2.0/src/olc2/medit.d	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/olc2/medit.d	2010-11-01 15:54:18.000000000 -0500
***************
*** 1,4 ****
  olc2/medit.d olc2/medit.o: olc2/medit.c mud.h wrapsock.h property_table.h list.h map.h \
    hashtable.h set.h buffer.h bitvector.h utils.h socket.h character.h \
!   races.h world.h dialog.h zone.h olc2/olc.h scripts/script.h \
    editor/editor.h
--- 1,4 ----
  olc2/medit.d olc2/medit.o: olc2/medit.c mud.h wrapsock.h property_table.h list.h map.h \
    hashtable.h set.h buffer.h bitvector.h utils.h socket.h character.h \
!   handler.h races.h world.h dialog.h zone.h olc2/olc.h scripts/script.h \
    editor/editor.h
diff -crN nakedmudv2.0/src/olc2/module.mk nakedmudv2.1/src/olc2/module.mk
*** nakedmudv2.0/src/olc2/module.mk	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/olc2/module.mk	2010-11-01 15:54:18.000000000 -0500
***************
*** 1,2 ****
  SRC  += olc2/olc.c olc2/redit.c olc2/zedit.c olc2/esedit.c olc2/dedit.c \
! 	olc2/medit.c olc2/oedit.c
--- 1,2 ----
  SRC  += olc2/olc.c olc2/redit.c olc2/zedit.c olc2/esedit.c olc2/dedit.c \
! 	olc2/medit.c olc2/oedit.c olc2/bedit.c
diff -crN nakedmudv2.0/src/olc2/oedit.c nakedmudv2.1/src/olc2/oedit.c
*** nakedmudv2.0/src/olc2/oedit.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/olc2/oedit.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 10,18 ****
--- 10,20 ----
  #include "../utils.h"
  #include "../socket.h"
  #include "../character.h"
+ #include "../handler.h"
  #include "../object.h"
  #include "../world.h"
  #include "../zone.h"
+ #include "../bitvector.h"
  
  #include "olc.h"
  #include "olc_submenus.h"
***************
*** 56,61 ****
--- 58,64 ----
  		 "{c%s\r\n"
  		 "{gW) Weight:    {c%1.3lf\r\n"
  		 "{gT) Edit item types: {c%s\r\n"
+ 		 "{gB) Edit bitvector : {c%s\r\n"
  		 "{gS) Script menu\r\n"
  		 "{gX) Extra Descriptions menu\r\n",
  		 objGetVnum(obj),
***************
*** 66,77 ****
  		 objGetMultiRdesc(obj),
  		 objGetDesc(obj),
  		 objGetWeightRaw(obj),
! 		 objGetTypes(obj)
  		 );
  }
  
! int  oedit_chooser(SOCKET_DATA *sock, OBJ_DATA *obj, char option) {
!   switch(toupper(option)) {
    case '1':
      text_to_buffer(sock, "Enter name: ");
      return OEDIT_NAME;
--- 69,81 ----
  		 objGetMultiRdesc(obj),
  		 objGetDesc(obj),
  		 objGetWeightRaw(obj),
! 		 objGetTypes(obj),
! 		 bitvectorGetBits(objGetBits(obj))
  		 );
  }
  
! int  oedit_chooser(SOCKET_DATA *sock, OBJ_DATA *obj, const char *option) {
!   switch(toupper(*option)) {
    case '1':
      text_to_buffer(sock, "Enter name: ");
      return OEDIT_NAME;
***************
*** 102,107 ****
--- 106,115 ----
      do_olc(sock, iedit_menu, iedit_chooser, iedit_parser, NULL, NULL, NULL,
  	   NULL, obj);
      return MENU_NOCHOICE;
+   case 'B':
+     do_olc(sock, bedit_menu, bedit_chooser, bedit_parser, NULL, NULL, NULL,
+ 	   NULL, objGetBits(obj));
+     return MENU_NOCHOICE;
    case 'S':
      do_olc(sock, ssedit_menu, ssedit_chooser, ssedit_parser,
  	   NULL, NULL, NULL, NULL, objGetScripts(obj));
***************
*** 139,153 ****
  }
  
  COMMAND(cmd_oedit) {
-   ZONE_DATA *zone;
    OBJ_DATA *obj;
-   obj_vnum vnum;
  
    // if no argument is supplied, default to the current obj
    if(!arg || !*arg)
      send_to_char(ch, "Please supply the vnum of a obj you wish to edit.\r\n");
    else {
!     vnum = atoi(arg);
  
      // make sure there is a corresponding zone ...
      if((zone = worldZoneBounding(gameworld, vnum)) == NULL)
--- 147,174 ----
  }
  
  COMMAND(cmd_oedit) {
    OBJ_DATA *obj;
  
    // if no argument is supplied, default to the current obj
    if(!arg || !*arg)
      send_to_char(ch, "Please supply the vnum of a obj you wish to edit.\r\n");
+ 
+   // we're trying to edit an object by name... must be something in the world
+   else if(!isdigit(*arg)) {
+     obj = generic_find(ch, arg, FIND_TYPE_OBJ, FIND_SCOPE_INV | FIND_SCOPE_ROOM,
+ 		       FALSE, NULL);
+     if(obj == NULL)
+       send_to_char(ch, "What were you trying to edit?\r\n");
+     else {
+       do_olc(charGetSocket(ch), oedit_menu, oedit_chooser, oedit_parser,
+ 	     NULL, NULL, NULL, NULL, obj);
+     }
+   }
+ 
+   // we're editing an object by vnum... edit the prototype
    else {
!     ZONE_DATA *zone = NULL;
!     obj_vnum   vnum = atoi(arg);
  
      // make sure there is a corresponding zone ...
      if((zone = worldZoneBounding(gameworld, vnum)) == NULL)
***************
*** 156,167 ****
        send_to_char(ch, "You are not authorized to edit this zone.\r\n");  
      else {
        // find the obj
!       obj = worldGetObj(gameworld, vnum);
  
        // make our obj
        if(obj == NULL) {
  	obj = newObj(vnum);
  	objSetVnum(obj, vnum);
  	objSetName      (obj, "an unfinished object");
  	objSetKeywords  (obj, "object, unfinshed");
  	objSetRdesc     (obj, "an unfinished object is lying here.");
--- 177,189 ----
        send_to_char(ch, "You are not authorized to edit this zone.\r\n");  
      else {
        // find the obj
!       obj = zoneGetObj(zone, vnum);
  
        // make our obj
        if(obj == NULL) {
  	obj = newObj(vnum);
  	objSetVnum(obj, vnum);
+ 	zoneAddObj(zone, obj);
  	objSetName      (obj, "an unfinished object");
  	objSetKeywords  (obj, "object, unfinshed");
  	objSetRdesc     (obj, "an unfinished object is lying here.");
diff -crN nakedmudv2.0/src/olc2/oedit.d nakedmudv2.1/src/olc2/oedit.d
*** nakedmudv2.0/src/olc2/oedit.d	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/olc2/oedit.d	2010-11-01 15:54:18.000000000 -0500
***************
*** 1,4 ****
  olc2/oedit.d olc2/oedit.o: olc2/oedit.c mud.h wrapsock.h property_table.h list.h map.h \
    hashtable.h set.h buffer.h bitvector.h utils.h socket.h character.h \
!   object.h world.h zone.h olc2/olc.h olc2/olc_submenus.h scripts/script.h \
!   editor/editor.h items/iedit.h items/items.h
--- 1,4 ----
  olc2/oedit.d olc2/oedit.o: olc2/oedit.c mud.h wrapsock.h property_table.h list.h map.h \
    hashtable.h set.h buffer.h bitvector.h utils.h socket.h character.h \
!   handler.h object.h world.h zone.h olc2/olc.h olc2/olc_submenus.h \
!   scripts/script.h editor/editor.h items/iedit.h items/items.h
diff -crN nakedmudv2.0/src/olc2/olc.c nakedmudv2.1/src/olc2/olc.c
*** nakedmudv2.0/src/olc2/olc.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv2.1/src/olc2/olc.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 28,34 ****
  //*****************************************************************************
  typedef struct olc_data {
    void    (* menu)(SOCKET_DATA *, void *);
!   int  (* chooser)(SOCKET_DATA *, void *, char);
    bool  (* parser)(SOCKET_DATA *, void *, int, const char *);
    void *(* copier)(void *);
    void  (* copyto)(void *, void *);
--- 28,34 ----
  //*****************************************************************************
  typedef struct olc_data {
    void    (* menu)(SOCKET_DATA *, void *);
!   int  (* chooser)(SOCKET_DATA *, void *, const char *);
    bool  (* parser)(SOCKET_DATA *, void *, int, const char *);
    void *(* copier)(void *);
    void  (* copyto)(void *, void *);
***************
*** 40,46 ****
  } OLC_DATA;
  
  OLC_DATA *newOLC(void    (* menu)(SOCKET_DATA *, void *),
! 		 int  (* chooser)(SOCKET_DATA *, void *, char),
  		 bool  (* parser)(SOCKET_DATA *, void *, int, const char *),
  		 void *(* copier)(void *),
  		 void  (* copyto)(void *, void *),
--- 40,46 ----
  } OLC_DATA;
  
  OLC_DATA *newOLC(void    (* menu)(SOCKET_DATA *, void *),
! 		 int  (* chooser)(SOCKET_DATA *, void *, const char *),
  		 bool  (* parser)(SOCKET_DATA *, void *, int, const char *),
  		 void *(* copier)(void *),
  		 void  (* copyto)(void *, void *),
***************
*** 201,207 ****
        break;
  
      default: {
!       int cmd = olc->chooser(sock, olc->working_copy, *arg);
        // the menu choice we entered wasn't a valid one. redisplay the menu
        if(cmd == MENU_CHOICE_INVALID)
  	olc_menu(sock);
--- 201,207 ----
        break;
  
      default: {
!       int cmd = olc->chooser(sock, olc->working_copy, arg);
        // the menu choice we entered wasn't a valid one. redisplay the menu
        if(cmd == MENU_CHOICE_INVALID)
  	olc_menu(sock);
***************
*** 275,281 ****
  void olc_display_table(SOCKET_DATA *sock, const char *getName(int val),
  		       int num_vals, int num_cols) {
    int i, print_room;
!   static char fmt[SMALL_BUFFER];
  
    print_room = (80 - 10*num_cols)/num_cols;
    sprintf(fmt, "  {c%%2d{y) {g%%-%ds%%s", print_room);
--- 275,281 ----
  void olc_display_table(SOCKET_DATA *sock, const char *getName(int val),
  		       int num_vals, int num_cols) {
    int i, print_room;
!   static char fmt[100];
  
    print_room = (80 - 10*num_cols)/num_cols;
    sprintf(fmt, "  {c%%2d{y) {g%%-%ds%%s", print_room);
***************
*** 286,291 ****
  
    if(i % num_cols != 0)
      send_to_socket(sock, "\r\n");
  
!   text_to_buffer(sock, "Pick an option: ");
  }
--- 286,309 ----
  
    if(i % num_cols != 0)
      send_to_socket(sock, "\r\n");
+ }
+ 
+ void olc_display_list(SOCKET_DATA *sock, LIST *list, int num_cols) {
+   static char fmt[100];
+   LIST_ITERATOR *list_i = newListIterator(list);
+   int print_room, i = 0;
+   char *str = NULL;
+   
+   print_room = (80 - 10*num_cols)/num_cols;
+   sprintf(fmt, "  {c%%2d{y) {g%%-%ds%%s", print_room);
  
!   ITERATE_LIST(str, list_i) {
!     send_to_socket(sock, fmt, i, str, (i % num_cols == (num_cols - 1) ? 
! 				       "\r\n" : "   "));
!     i++;
!   }
!   deleteListIterator(list_i);
! 
!   if(i % num_cols != 0)
!     send_to_socket(sock, "\r\n");
  }
